%define pkg_name        Jabber-Lite
%define pkg_version     0.8
%define rpm_pkg_version 0.8
%define rpm_pkg_release 1.n0i.1

Summary:       Standalone library for communicating with Jabber servers
Name:          perl-%{pkg_name}
Version:       %{rpm_pkg_version}
Release:       %{rpm_pkg_release}%{?cpan_version}%{?dist}

Group:         Development/Libraries
License:       Artistic
URL:           http://search.cpan.org/dist/%{pkg_name}/
Source0:       http://www.cpan.org/authors/id/B/BE/BEECEE/%{pkg_name}-%{pkg_version}.tar.gz

BuildArch:     noarch
BuildRoot:     %{_tmppath}/%{name}-%{version}-%{release}-root-%(%{__id_u} -n)

BuildRequires: reb00t-rpmdevtools
BuildRequires: perl(ExtUtils::MakeMaker)


%description
Jabber::Lite is, as the name implies, a small 'lite' library for dealing with
Jabber servers, implemented entirely in perl. Whilst it is small, it does try
to be fairly complete for common tasks.


%prep
%setup -q -n %{pkg_name}-%{pkg_version}


%build
%{perl_build}
%{!?_without_test:%{__make} test}


%install
%{__rm} -rf $RPM_BUILD_ROOT
%{perl_install}


%clean
%{__rm} -rf $RPM_BUILD_ROOT


%files
%defattr(-,root,root,-)
%{perl_files}
%doc Changes README


%changelog
* Fri Jun 15 2007 Marius Feraru <altblue@n0i.net> - 0.8-1.n0i.1
- spec file (re)created using N0i::CPAN::RPMizer/1.14.9
- version 0.8
